package cn.iocoder.yudao.module.identity.convert.scanrecord;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.identity.controller.admin.scanrecord.vo.*;
import cn.iocoder.yudao.module.identity.dal.dataobject.scanrecord.ScanRecordDO;

/**
 * 扫码记录 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface ScanRecordConvert {

    ScanRecordConvert INSTANCE = Mappers.getMapper(ScanRecordConvert.class);

    ScanRecordDO convert(ScanRecordCreateReqVO bean);

    ScanRecordDO convert(ScanRecordUpdateReqVO bean);

    ScanRecordRespVO convert(ScanRecordDO bean);

    List<ScanRecordRespVO> convertList(List<ScanRecordDO> list);

    PageResult<ScanRecordRespVO> convertPage(PageResult<ScanRecordDO> page);

    List<ScanRecordExcelVO> convertList02(List<ScanRecordDO> list);

}
